%global gem_name minitest-reporters
Name:                rubygem-%{gem_name}
Version:             1.3.8
Release:             2
Summary:             Create customizable Minitest output formats
License:             MIT
URL:                 https://github.com/CapnKernul/minitest-reporters
Source0:             https://rubygems.org/gems/minitest-reporters-%{version}.gem
Patch0:              00-disable-rubocop-tests.patch
BuildRequires:       ruby(release) rubygems-devel ruby >= 1.9.3
BuildRequires:       git rubygem(ansi) rubygem(builder) rubygem(bundler) rubygem(maruku)
BuildRequires:       rubygem(minitest) rubygem(rake) rubygem(ruby-progressbar)
BuildArch:           noarch
%description
Death to haphazard monkey-patching! Extend Minitest through simple hooks.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
%autosetup -S git -n %{gem_name}-%{version} -p1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)' || :
popd

%files
%license %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/assets
%exclude %{gem_instdir}/appveyor.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%exclude %{gem_instdir}/minitest-reporters.gemspec
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Sep 8 2020 yanan li <liyanan032@huawei.com> - 1.3.8-2
- delete spec_prep_plus.sh file

* Mon Aug 24 2020 liyanan <liyanan32@huawei.com> - 1.3.8-1
- package init
